// pages/search/search.js
var myRequest = require("../../utils/api.js");
Page({

  /**
   * 页面的初始数据
   */
  data: {
    value: '',
    actionText: '',
    name: '',
    userid: '',
    projectData: [],
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.setData({
      userid: options.userid,
    })
  },
  changeHandle(e) {
    const { value } = e.detail;
    this.setData({
      name: value
    });
    this.getProjectData();
  },
 //获取项目下所有站点位置
 getProjectData() {
    var that = this;
    myRequest.myRequest('system/getProjectsByUserId', {
      userId: this.data.userid,
      name: that.data.name,
    },'get').then(function(res){
      that.setData({
        projectData: res.data.data,
      })
    }).catch(function(res){
      console.log(res);
    })
  },
  toJump(e) {
    var id = e.currentTarget.dataset.id;
    var name = e.currentTarget.dataset.name;
    var pages = getCurrentPages(); // 获取页面栈
    var currPage = pages[pages.length - 1]; // 当前页面
    var prevPage = pages[pages.length - 2]; // 上一个页面
    wx.setStorageSync('projectId', id);
    wx.setStorageSync('projectName', name);
    prevPage.setData({
      projectId: id,
      projectName: name
    })
    wx.navigateBack({ delta: 1})
  },
  focusHandle() {
    this.setData({
      actionText: '取消',
    });
  },

  blurHandle() {
    this.setData({
      actionText: '',
    });
  },

  actionHandle() {
    this.setData({
      name: '',
      actionText: '',
    });
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {
    
  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    this.getProjectData();
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {
    
  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {
    
  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {
    
  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
    
  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {
    
  }
})
